<?php
/**
 * @package dboperation
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf 
 */







class DBWorkAnmeldungReservierungEmailTXT extends DBWorkAnmeldungReservierung
{     
   function Anmeldung($belegung,$user_id, $pPHP53DummyParam1='', $pPHP53DummyParam2='')
   { $dbwanmeldungreserv = new DBWorkAnmeldungReservierung($this->dbtyp, true); 
     $belegung = new Belegung();
     $belegung->tnr = "0"; 
     for ($i=1;$i<=12;$i++) 
     { if ($anmeldung->getVarValue("kurs".$this->stringop->getInt2Digits($i))<>"")
       { $belegung->knr = $anmeldung->getVarValue("kurs".$this->stringop->getInt2Digits($i));
         $belegung->anm_datum = $this->datetimeop->getDateTimeNow();
         $anmeldung->setValue2Var("kbelid".$this->stringop->getInt2Digits($i),$dbwanmeldungreserv->Anmeldung($belegung,$user_id));
       }
     }    
     $anmeldung->datumzeit = $this->datetimeop->getDateNow()." ".$this->datetimeop->getTimeNow().":00";
     $dbwemailtxt = new DBWorkEMailTXT($this->dbtyp, true);
     $dbwemailtxt->insertTXTMail($anmeldung,$user_id);
   }
}
?>